EDIT - bug #7827

LazylnitializationException when saving term editor (hamed areas)
10/16/2018 03:22 PM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.4

Severity: normal Found in Version:

Description

This happens when dragging a term on at least level 2 to another term on at least level 2

login : admin
editor version : 5.4.0.qualifier
server : localhost (localhost-dev)

schema version : 5.0.0.0.20180514
os : Windows 7 6.1 amdé64
java : 1.8.0_171
org.eclipse.ed.core.di.InjectionException: org.hibernate.LazyInitializationException: could not in
itialize proxy - no Session
at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor.java:65)
at org.eclipse.e4d4.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:282)
at org.eclipse.e4d.core.internal.di.InjectorImpl.invoke (InjectorImpl. java:247)
at org.eclipse.ed.core.contexts.ContextInjectionFactory.invoke (ContextInjectionFactory. java:90

at org.eclipse.ed4.ui.internal.workbench.PartServiceSaveHandler.save (PartServiceSaveHandler. jav
a:57)

at org.eclipse.ui.internal.WorkbenchWindow$7.save (WorkbenchWindow. java:594)

at org.eclipse.e4d.ui.internal.workbench.PartServiceImpl.savePart (PartServiceImpl. java:1390)

at eu.etaxonomy.taxeditor.workbench.SaveHandler.execute (SaveHandler. java:40)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (Unknown Source)

at java.lang.reflect.Method.invoke (Unknown Source)

at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor.java:55)

at org.eclipse.ed4.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:282)

at org.eclipse.ed4.core.internal.di.InjectorImpl.invoke (InjectorImpl.java:264)

at org.eclipse.ed.core.contexts.ContextInjectionFactory.invoke (ContextInjectionFactory. java:13

at org.eclipse.ed.core.commands.internal.HandlerServiceHandler.execute (HandlerServiceHandler.j
ava:152)

at org.eclipse.core.commands.Command.executeWithChecks (Command. java:494)

at org.eclipse.core.commands.ParameterizedCommand.executeWithChecks (ParameterizedCommand. java:
488)

at org.eclipse.e4d.core.commands.internal.HandlerServiceImpl.executeHandler (HandlerServiceImpl.
java:210)

at org.eclipse.ed.ui.workbench.renderers.swt.HandledContributionItem.executeltem (HandledContri
butionItem. java:433)

at org.eclipse.e4d.ui.workbench.renderers.swt.AbstractContributionItem.handleWidgetSelection (Ab
stractContributionItem. java:454)

at org.eclipse.ed.ui.workbench.renderers.swt.AbstractContributionItem$3.handleEvent (AbstractCo
ntributionItem. java:482)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1079)

at org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4236)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3824)

at org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java
:1121)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:1l
.eclipse.ed.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)

eclipse.ui.internal.Workbench$5. run (Workbench. java:693)
eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)
eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)
eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

eu.etaxonomy.taxeditor.Application.start (Application. java:24)

org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)
.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLaunc
java.lang.reflect.Method.invoke (Unknown Source)
at eu.etaxonomy.cdm.model.location.NamedArealLevel_$$_Jjvst39b_1.getLabel (NamedArealLevel_ $$_jvst
39b_1. java)
eu.etaxonomy.cdm.model.location.NamedArea.toString (NamedArea. java:770)
java.lang.String.valueOf (String.java:2994)
eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)
eclipse.equinox.launcher.Main.basicRun (Main.java:610)
eclipse.equinox.launcher.Main.run (Main. java:1519)
eclipse.equinox.launcher.Main.main (Main. java:1492)

org.hibernate.LazyInitializationException: could not initialize proxy - no Session
.hibernate.proxy.AbstractLazyInitializer.initialize (AbstractLazyInitializer.java:148)

hibernate.proxy.AbstractLazyInitializer.getImplementation (AbstractLazyInitializer. java:

hibernate.proxy.pojo.javassist.JavassistLazyInitializer.invoke (JavassistLazyInitializer

java.lang.StringBuilder.append (StringBuilder.java:131)
org.hibernate.event.internal .EntityCopyNotAllowedObserver.getManagedOrDetachedEntityString(
EntityCopyNotAllowedObserver. java:46)

at org.hibernate.event.internal.EntityCopyNotAllowedObserver.entityCopyDetected (EntityCopyNotA
llowedObserver. java:36)
hibernate.
hibernate.

hibernate.
hibernate.
.engine.internal.Cascade.cascadeProperty (Cascade.java:162)
hibernate.
hibernate.

hibernate.
hibernate.

hibernate.
hibernate.
hibernate.
hibernate.
hibernate.

event.internal.MergeContext.put (MergeContext.java:245)
event.internal.DefaultMergeEventListener.entityIsDetached (DefaultMergeEventLi

event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEventListener. ja

internal.SessionImpl.fireMerge (SessionImpl. java:850)
internal.SessionImpl.merge (SessionImpl.java:832)

.engine.spi.CascadingActions$6.cascade (CascadingActions. java:260)

engine.internal.Cascade.cascadeToOne (Cascade.java:398)
engine.internal.Cascade.cascadeAssociation (Cascade. java:323)

engine.internal.Cascade.cascade (Cascade. java:111)
event.internal.DefaultMergeEventListener.cascadeOnMerge (DefaultMergeEventList

event.internal.DefaultMergeEventListener.entityIsDetached (DefaultMergeEventLi
event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEventListener. ja

internal.SessionImpl.fireMerge (SessionImpl. java:850)
internal.SessionImpl.merge (SessionImpl. java:832)
engine.spi.CascadingActions$6.cascade (CascadingActions. java:260)
engine.internal.Cascade.cascadeToOne (Cascade.java:398)
engine.internal.Cascade.cascadeAssociation (Cascade. java:323)
engine.internal.Cascade.cascadeProperty (Cascade. java:162)
engine.internal.Cascade.cascade (Cascade. java:111)
event.internal.DefaultMergeEventListener.cascadeOnMerge (DefaultMergeEventList

event.internal.DefaultMergeEventListener.entityIsDetached (DefaultMergeEventLi

event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEventListener. ja
va:170)

at org.hibernate.internal.SessionImpl.fireMerge (SessionImpl. java:850)

at org.hibernate.internal.SessionImpl.merge (SessionImpl.java:832)

at org.hibernate.engine.spi.CascadingActions$6.cascade (CascadingActions. java:260)

at org.hibernate.engine.internal.Cascade.cascadeToOne (Cascade. java:398)

at org.hibernate.engine.internal.Cascade.cascadeAssociation (Cascade. java:323)

at org.hibernate.engine.internal.Cascade.cascadeProperty (Cascade.java:162)

at org.hibernate.engine.internal.Cascade.cascadeCollectionElements (Cascade. java:431)

at org.hibernate.engine.internal.Cascade.cascadeCollection (Cascade.java:363)

at org.hibernate.engine.internal.Cascade.cascadeAssociation (Cascade.java:326)

at org.hibernate.engine.internal.Cascade.cascadeProperty (Cascade.java:162)

at org.hibernate.engine.internal.Cascade.cascade (Cascade.java:111)

at org.hibernate.event.internal.DefaultMergeEventListener.cascadeOnMerge (DefaultMergeEventList
ener.java:468)

at org.hibernate.event.internal.DefaultMergeEventListener.entityIsDetached (DefaultMergeEventLi
stener. java:327)

at org.hibernate.event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEventListener. ja
va:170)

at org.hibernate.event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEventListener. ja
va:69)

at org.hibernate.internal.SessionImpl.fireMerge (SessionImpl. java:840)

at org.hibernate.internal.SessionImpl.merge (SessionImpl.java:822)

at org.hibernate.internal.SessionImpl.merge (SessionImpl. java:827)

at eu.etaxonomy.cdm.persistence.dao.hibernate.common.CdmEntityDaoBase.merge (CdmEntityDaoBRase. j
ava:286)

at eu.etaxonomy.cdm.api.service.ServiceBase.merge (ServiceBase. java:246)

at sun.reflect.GeneratedMethodAccessor287.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.aop.support.RAopUtils.invokeJoinpointUsingReflection (AopUtils.java:302)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (ReflectiveMeth
odInvocation. java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:157)

at org.springframework.transaction.interceptor.TransactionInterceptor$l.proceedWithInvocation (
TransactionInterceptor. java:99)

at org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransactio
n(TransactionAspectSupport. java:281)

at org.springframework.transaction.interceptor.TransactionInterceptor.invoke (TransactionInterc
eptor.java:96)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$Proxyl81.merge (Unknown Source)

at sun.reflect.GeneratedMethodAccessor287.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection (AopUtils. java:302)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (ReflectiveMeth
odInvocation. java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:157)

at org.springframework.remoting.support.RemoteInvocationTracelnterceptor.invoke (RemoteInvocati
onTraceInterceptor.java:78)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$Proxy276.merge (Unknown Source)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.remoting.support.RemoteInvocation.invoke (RemoteInvocation. java:212)

at org.springframework.remoting.support.DefaultRemoteInvocationExecutor.invoke (DefaultRemotelIn
vocationExecutor. java:39)

at org.springframework.remoting.support.RemoteInvocationBasedExporter.invoke (RemoteInvocationB
asedExporter. java:78)
javax.servlet.http.HttpServlet.service (HttpServlet. java:707)

web.servlet.FrameworkServlet.service (FrameworkServlet. java:845)

javax.servlet.http.HttpServlet.service (HttpServlet. java:790)
org.eclipse. jetty.servlet.ServletHolder.handle (ServletHolder. java:841)
org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1650)

security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

security.web.access.intercept.FilterSecurityInterceptor.invoke (FilterSe
security.web.session.SessionManagementFilter.doFilter (SessionManagement

security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilte

r (SecurityContextHolderAwareRequestFilter.java:169)

at org.springframework.
oxy.java:330)

at org.springframework.
at org.springframework.
oxy.Jjava:330)

at org.springframework.

security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
security.web.savedrequest.RequestCacheAwareFilter.doFilter (RequestCache
security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

security.web.authentication.logout.LogoutFilter.doFilter (LogoutFilter.j
security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
security.web.header.HeaderWriterFilter.doFilterInternal (HeaderWriterFil

web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)
security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

security.web.context.SecurityContextPersistenceFilter.doFilter (Security

ContextPersistenceFilter. java:91)

at org.springframework.
web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)
security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

security.web.FilterChainProxy.doFilterInternal (FilterChainProxy.java:21

security.web.FilterChainProxy.doFilter (FilterChainProxy. java:176)
web.filter.DelegatingFilterProxy.invokeDelegate (DelegatingFilterProxy. j
at org.springframework.web.filter.DelegatingFilterProxy.doFilter (DelegatingFilterProxy. java:26
2)

at org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler.java:1637)

at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal (CharacterEncodingFi
lter.java:121)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler.java:1629)

at org.eclipse.jetty.servlet.ServletHandler.doHandle (ServletHandler.java:533)

at org.eclipse.jetty.server.handler.ScopedHandler.handle (ScopedHandler. java:143)

at org.eclipse.jetty.security.SecurityHandler.handle (SecurityHandler. java:548)

at org.eclipse.jetty.server.handler.HandlerWrapper.handle (HandlerWrapper.java:132)

at org.eclipse.jetty.server.handler.ScopedHandler.nextHandle (ScopedHandler.java:190)

at org.eclipse.jetty.server.session.SessionHandler.doHandle (SessionHandler. java:1595)

at org.eclipse.jetty.server.handler.ScopedHandler.nextHandle (ScopedHandler. java:188)

at org.eclipse.jetty.server.handler.ContextHandler.doHandle (ContextHandler. java:1253)

at org.eclipse.jetty.server.handler.ScopedHandler.nextScope (ScopedHandler. java:168)

at org.eclipse.jetty.servlet.ServletHandler.doScope (ServletHandler. java:473)

at org.eclipse.jetty.server.session.SessionHandler.doScope (SessionHandler. java:1564)

at org.eclipse.jetty.server.handler.ScopedHandler.nextScope (ScopedHandler. java:166)

at org.eclipse.jetty.server.handler.ContextHandler.doScope (ContextHandler.java:1155)

at org.eclipse.jetty.server.handler.ScopedHandler.handle (ScopedHandler. java:141)

at org.eclipse.jetty.server.handler.HandlerWrapper.handle (HandlerWrapper.java:132)

at org.eclipse.jetty.server.Server.handle (Server. java:564)

at org.eclipse.jetty.server.HttpChannel.handle (HttpChannel. java:317)

at org.eclipse.jetty.server.HttpConnection.onFillable (HttpConnection. java:251)

at org.eclipse.jetty.io.AbstractConnection$ReadCallback.succeeded (AbstractConnection. java:279)

at org.eclipse.jetty.io.FillInterest.fillable(FillInterest.java:110)

at org.eclipse.jetty.io.ChannelEndPoint$2.run (ChannelEndPoint. java:124)

at org.eclipse.jetty.util.thread.Invocable.invokePreferred (Invocable. java:128)

at org.eclipse.jetty.util.thread.Invocable$InvocableExecutor.invoke (Invocable. java:222)

at org.eclipse.jetty.util.thread.strategy.EatWhatYouKill.doProduce (EatWhatYouKill. java:294)

at org.eclipse.jetty.util.thread.strategy.EatWhatYouKill.run (EatWhatYouKill. java:199)

at org.eclipse.jetty.util.thread.QueuedThreadPool.runJob (QueuedThreadPool. java:673)

at org.eclipse.jetty.util.thread.QueuedThreadPool$2. run (QueuedThreadPool. java:591)

at java.lang.Thread.run (Thread. java:745)

at org.springframework.remoting.support.RemoteInvocationUtils.fillInClientStackTraceIfPossible
(RemoteInvocationUtils. java:45)

at org.springframework.remoting.support.RemoteInvocationResult.recreate (RemoteInvocationResult
.Java:149)

at org.springframework.remoting.support.RemoteInvocationBasedAccessor.recreateRemoteInvocation
Result (RemoteInvocationBasedAccessor. java:85)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (HttpInvokerCli
entInterceptor. java:150)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$Proxy52.merge (Unknown Source)

at eu.etaxonomy.taxeditor.editor.definedterm.input.TermEditorInput.merge (TermEditorInput. java:
99)

at eu.etaxonomy.taxeditor.editor.definedterm.ed4.DefinedTermEditorE4.save (DefinedTermEditorE4. j
ava:152)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (Unknown Source)

at java.lang.reflect.Method.invoke (Unknown Source)

at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:55)

49 more

Related issues:
Copied to EDIT - bug #7850: Further problems with term editor Duplicate

Associated revisions

Revision b32ea08b - 10/22/2018 08:29 AM - Patrick Plitzner
ref #7827 Add property path to term loading in term editor

Revision ¢0292658 - 10/23/2018 09:36 AM - Patrick Plitzner
ref #7827 code cleaning

Revision 602d39cf - 10/23/2018 09:36 AM - Patrick Plitzner
ref #7827 Extend property path to NamedArealLevel

Revision 3¢6e3303 - 10/23/2018 10:04 AM - Patrick Plitzner

ref #7827 Fix term/distribution content provider

* Remove accidental merging of "includes" set into "eneralizationOf" set

Revision Obfb1b18 - 10/23/2018 10:04 AM - Patrick Plitzner

ref #7827 Also remove generalizationOf if term is moved

Revision 1f5b408c - 10/23/2018 10:07 AM - Patrick Plitzner
ref #7827 Code cleanup

History

#1 - 10/22/2018 08:30 AM - Patrick Plitzner

- Description updated

#2 - 10/22/2018 08:31 AM - Patrick Plitzner
- Status changed from New to Resolved

- % Done changed from 0 to 50

| added a property path to the term loading. Then | tried to reproduce the problem but it did not happen to me.

#3 - 10/22/2018 11:08 AM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Muiller

#4 - 10/22/2018 02:06 PM - Patrick Plitzner
- Description updated
- Status changed from Resolved to In Progress

- Assignee changed from Andreas Miiller to Patrick Plitzner

#5 - 10/22/2018 02:40 PM - Patrick Plitzner
- Status changed from In Progress to Feedback

- Assignee changed from Patrick Plitzner to Andreas Muiller

| can't respoduce this reliably

#6 - 10/22/2018 02:45 PM - Patrick Plitzner

| would move this issue to the next milestone because this exception does not happen every time.

The Termeditor has to be refactored as still all term operation are done on the editor side and should be moved into the cdmlib service layer.

#7 - 10/23/2018 09:35 AM - Patrick Plitzner

- Status changed from Feedback to Resolved

| added the named area level to the property path. With this change | could not reproduce this exception. This should solve this specific issue
because the stack trace shows that that was the problem.

#8 - 10/23/2018 01:01 PM - Andreas Miuller

| also can not reproduce the LIE anymore. However, whenever | move a term or save changes or even when opening E+M second level | get the
below conncetion problem. It looks like term editor needs to be improved object loading wise. It is extremly slow anyway.
Generally the server is availabel but maybe too many connection or something else.

login : admin

editor version : 5.4.0.201810231000
server : test.e-taxonomy.eu (edit-test) / euromed
schema version

5.0.0.0.20180514

os : Windows Server 2012 R2 6.3 amdo64

java

1.8

.0_121

eu.etaxonomy.taxeditor.remoting.CdmEagerLoadingException: org.springframework.remoting.RemoteAccessException:
Could not access HTTP invoker remote service at [http://test.e-taxonomy.eu:80/cdmserver/euromed/remoting/commo

n.service];
view.e4.AbstractCdmDataViewerE4.setInput (AbstractCdmDataViewerE4. java:145)
eu.etaxonomy.taxeditor.
eu.etaxonomy.taxeditor.

eu.etaxonomy.taxeditor.
mentalDataPartE4.java:125)
at eu.etaxonomy.taxeditor.

org.
org.
.eclipse.
eclipse.
eclipse.

org

org.
org.
.eclipse.
eclipse.
eclipse.

org

org.
org.
.eclipse.
eclipse.
eclipse.

org

org.
org.
.eclipse.
eclipse.
eclipse.

org

org.
org.
.eclipse.
eclipse.
eclipse.

org

org.
org.
.eclipse.
eclipse.
eclipse.

org

org.
org.
.eclipse.

org

org
org

org.
.eclipse.
eclipse.
reflect.

org

org.
sun.
sun.

sun

.eclipse.
.eclipse.

reflect
.reflect

eclipse.
eclipse.

eclipse.

swt

swt.

swt
swt

swt.

swt
swt

swt.

swt
swt

swt.

swt
swt

.widgets.
widgets.
.widgets.
.widgets.

collection.internal

collection.internal.

n.internal.

collection.internal.

nested exception is org.apache.http.NoHttpResponseException: test.e-taxonomy.eu:80 failed to respo

.AbstractPersistentCollection.remoteInitialize (AbstractPersistentColle
AbstractPersistentCollection.initialize (AbstractPersistentCollection.
AbstractPersistentCollection.read (AbstractPersistentCollection. java:1l
AbstractPersistentCollection.readSize (AbstractPersistentCollection. ja

PersistentList.size (PersistentList.java:114)
AbstractEntityCollectionSection.setSectionTitle (AbstractEntityCollect

AbstractEntityCollectionSection.internalUpdateSection (AbstractEntityC

AbstractEntityCollectionSection.setEntity (AbstractEntityCollectionSec

view.ed.AbstractCdmEditorPartE4$DelaySelection.run (AbstractCdmEditorPartE4. java:

RunnableLock.run (RunnableLock. java:35)
Synchronizer.runAsyncMessages (Synchronizer. java:182)
Display.runAsyncMessages (Display.java:4211)
Display.messageProc (Display.java:3192)
internal.ole.win32.COM.DoDragDrop (Native Method)

.dnd.DragSource.drag (DragSource. java:378)
.dnd.DragSource.access$0 (DragSource. java:304)

.widgets.
.widgets.
widgets.
.widgets.
.widgets.

dnd.DragSource$l.handleEvent (DragSource. java:173)
EventTable.sendEvent (EventTable. java:84)
Display.sendEvent (Display.java:4418)
Widget.sendEvent (Widget.java:1079)
Display.runDeferredEvents (Display.java:4236)
Display.readAndDispatch (Display. java:3824)

e4.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java:1121)

core.databinding.observable.Realm.runWithDefault (Realm. java:336)
ed.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine.java:1022)
e4.uil.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)
ui.internal.Workbench$5.run (Workbench. java:693)
core.databinding.observable.Realm.runWithDefault (Realm. java:336)
ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)
ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)
eu.etaxonomy.taxeditor.Application.start (Application. java:24)
equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)

core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLauncher. java:134

core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher. java:104)

core.runtime.adaptor.EclipseStarter.run(EclipseStarter. java:388)
core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
NativeMethodAccessorImpl.invokeO (Native Method)

.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

java.lang.reflect.Method.invoke (Method. java:498)

org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)
org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)
org.eclipse.equinox.launcher.Main.run(Main. java:1519)

by:

org.springframework.remoting.RemoteAccessException: Could not access HITP invoker remote service at
//test.e-taxonomy.eu:80/cdmserver/euromed/remoting/common.service]; nested exception is org.apache.http

test.e-taxonomy.eu:80 failed to respond

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.convertHttpInvokerAccessException
(HttpInvokerClientInterceptor. java:216)
at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (HttpInvokerClientIntercept

or.java:147)
at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvocation. java:17

9)
at
at
at
a:61)
at

Caused
at
at
at
at

va:165)

at
at
at
at
at
at
at
at
at
at
at
at

org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy. java:208)
com.sun.proxy.$Proxy47.initializeCollection (Unknown Source)

eu.etaxonomy.taxeditor.service.CachedCommonServiceImpl.initializeCollection (CachedCommonServiceImpl. jav

org.
ction. java:

48
by:

org.
org.
org.
org.

org.
org.

org

org.
org.
org.
org.
org.

org

org.
org.
org.

1340)
more

org.apache.http.NoHttpResponseException:

apache.
apache.
apache.
apache.

apache.
apache.
.apache.
apache.
apache.
apache.
apache.
apache.
.apache.
apache.
apache.

http.
http.
http.
http.

http.
http.
http.
http.
http.
http.
http.
http.
http.
http.
http.

hibernate.collection.internal.AbstractPersistentCollection.remotelInitialize (AbstractPersistentColle

test.e-taxonomy.eu:80 failed to respond

impl.conn.DefaultHttpResponseParser.parselHead (DefaultHttpResponseParser. java:143)

impl.conn.DefaultHttpResponseParser.parseHead (DefaultHttpResponseParser. java:57)
impl.io.AbstractMessageParser.parse (AbstractMessageParser.java:261)
impl.DefaultBHttpClientConnection.receiveResponseHeader (DefaultBHttpClientConnection. ja

impl.conn.CPoolProxy.receiveResponseHeader (CPoolProxy. java:167)
protocol.HttpRequestExecutor.doReceiveResponse (HttpRequestExecutor. java:272)

protocol.HttpRequestExecutor.execute (HttpRequestExecutor. java:124)
execchain.MainClientExec.execute (MainClientExec. java:271)
execchain.ProtocolExec.execute (ProtocolExec. java:184)

impl.
impl.
impl.
impl.
impl.
impl.
impl.
impl.

execchain.RetryExec.execute (RetryExec. java:88)
execchain.RedirectExec.execute (RedirectExec. java:110)

client
client
client
client

.InternalHttpClient.doExecute (InternalHttpClient.
.CloseableHttpClient.execute (CloseableHttpClient.
.CloseableHttpClient.execute (CloseableHttpClient.
.CloseableHttpClient.execute (CloseableHttpClient.
springframework.remoting.httpinvoker.HttpComponentsHttpInvokerRequestExecutor.executeHttpPost (HttpC

omponentsHttpInvokerRequestExecutor. java:338)
at org.springframework.remoting.httpinvoker.HttpComponentsHttpInvokerRequestExecutor.doExecuteRequest (Http
ComponentsHttpInvokerRequestExecutor. java:229)
at eu.etaxonomy.taxeditor.service.CdmServiceRequestExecutor.doExecuteRequest (CdmServiceRequestExecutor. jav

a:6l)

java
java
java

java

:184)
:82)
:107)
:55)

at org.springframework.remoting.httpinvoker.AbstractHttpInvokerRequestExecutor.executeRequest (AbstractHttp
InvokerRequestExecutor. java:138)

at

nterceptor.
org.
nterceptor.
org.

at

at

org

.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.executeRequest (HttpInvokerClientI

or.java:144)

53

more

java:194)
springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.executeRequest (HttpInvokerClientI
java:176)

#9 - 10/23/2018 03:44 PM - Andreas Miuller

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Patrick Plitzner

- % Done changed from 50 to 90

removed open issues to new ticket #7850. | think we can close this ticket.

springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (HttpInvokerClientIntercept

| only have a question: why can an LIE exception happen at all? | thought the TaxEditor does always lazy load if necessary. Shouldn't the property
paths only be available to speed up loading?

#10 - 10/23/2018 03:55 PM - Andreas Miiller
- Copied to bug #7850: Further problems with term editor added

#11 - 10/24/2018 10:26 AM - Patrick Plitzner

- Status changed from Feedback to Closed

- % Done changed from 90 to 100
